<?php
class MyException extends Exception {
    public function __construct($message, $code = 0) {
        parent::__construct($message, $code);
    }
    public function __toString() {
        return __CLASS__ . " : [{$this->code}] : {$this->message}\n";
    }
}

try {
    $error = 'error message';
    $code = 999;
    throw new MyException($error, $code);
} catch (MyException $ex) {
    echo '***** case MyException'."\n";
    echo 'getMessage() : '.$ex->getMessage()."\n";
} catch (Exception $ex) {
    echo '***** case Exception'."\n";
    echo 'getMessage() : '.$ex->getMessage()."\n";
}
?>
