<?php

// tB^[NX
class MyFilter extends php_user_filter {
    function onCreate() {
        echo "called onCreate.\n";
    }

    function filter ($in, $out, &$consumed, $closing) {
        echo "called filter.\n";
        if(!$closing) {
            $bucket = stream_bucket_make_writeable($in);
            $bucket->data = strtolower($bucket->data);
            $consumed = strlen($bucket);
            stream_bucket_append($out, $bucket);
            return PSFS_PASS_ON;
        }
        else {
            echo "  filter end.\n";
        }
    }

    function onClose() {
        echo "called onClose.\n";
    }
}

stream_filter_register('my_filter', 'MyFilter');

if(($fp = fopen('work/myfilterdata.txt', 'r')) == FALSE) {
    echo 'cannaot open.';
}
else {
    stream_filter_append($fp, 'my_filter');
    while (!feof($fp)) {
        $str = stream_get_line($fp, 4096);
        print $str;
    }
    fclose($fp);
}
?>
